#!/bin/sh

ORIGINAL_SOURCE_FILEPATH="$SOURCE_FILEPATH"
SOURCE_FILEPATH="$(dirname "$EXECUTABLE_FILEPATH")/$(basename "$SOURCE_FILEPATH")"

if [ -f "$PATCHER_EXECUTABLE_FILEPATH" ]; then
    "$PATCHER_EXECUTABLE_FILEPATH" <"$ORIGINAL_SOURCE_FILEPATH" >"$SOURCE_FILEPATH"
else
    cp "$ORIGINAL_SOURCE_FILEPATH" "$SOURCE_FILEPATH"
fi
